import { SceneManager } from './manager';
export interface Scene {
    id: string;
    data: any;
    onActivate(manager: SceneManager): any;
    onDeactivate(): any;
    onSwitch(data: any): any;
    update(dt: number): any;
    updateDraw(): any;
}
